Skip to main content
GET
/
sla
/
analytics
/
breakdown
Get SLA analytics breakdown
curl --request GET \
  --url https://api.open.cx/sla/analytics/breakdown \
  --header 'Authorization: Bearer <token>'
[
  {
    "grouping": {
      "type": "policy",
      "id": "<string>",
      "name": "<string>"
    },
    "sessions_count": 0,
    "compliance": {
      "overall": 123,
      "first_reply": {
        "fulfilled": 0,
        "breached": 0,
        "completed_after_breach": 0,
        "active": 0,
        "rate": 123
      },
      "next_reply": {
        "fulfilled": 0,
        "breached": 0,
        "completed_after_breach": 0,
        "active": 0,
        "rate": 123
      },
      "resolution": {
        "fulfilled": 0,
        "breached": 0,
        "completed_after_breach": 0,
        "active": 0,
        "rate": 123
      }
    },
    "percentiles": {
      "first_reply": {
        "p50": 123,
        "p90": 123,
        "p95": 123
      },
      "next_reply": {
        "p50": 123,
        "p90": 123,
        "p95": 123
      },
      "resolution": {
        "p50": 123,
        "p90": 123,
        "p95": 123
      }
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

timezone
string
default:UTC
policy_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
team_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
channel
enum<string>
Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice
agent_id
integer
Required range: -9007199254740991 <= x <= 9007199254740991
group_by
enum<string>
required
Available options:
policy,
team,
agent,
channel

Response

Default Response

grouping
object
required
sessions_count
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
compliance
object
required
percentiles
object
required